# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Private Member Functions | Static Private Member Functions | Private Attributes | Friends | List of all members
DBus::Ecore::BusTimeout Class Reference

`#include <ecore-integration.h>`

Inheritance diagram for DBus::Ecore::BusTimeout:

## Private Member Functions

| BusTimeout (Timeout::Internal *)
| ~BusTimeout ()
void | toggle ()
void | _enable ()
void | _disable ()

## Static Private Member Functions

static Eina_Bool | timeout_handler (void *)

## Private Attributes

Ecore_Timer * | _etimer

## Friends

class | BusDispatcher

## Additional Inherited Members

Public Member Functions inherited from DBus::Timeout
| Timeout (Internal *i)
virtual | ~Timeout ()
int | interval () const
| Gets the timeout interval.
bool | enabled () const
bool | handle ()
| Calls the timeout handler for this timeout.

## Detailed Description

Definition at line 42 of file ecore-integration.h.

## Constructor & Destructor Documentation

## ◆ BusTimeout()

Ecore::BusTimeout::BusTimeout | ( | Timeout::Internal * | ti | ) |

private

Definition at line 36 of file ecore-integration.cpp.

References _enable(), DBus::Timeout::enabled(), and DBus::Timeout::Timeout().

## ◆ ~BusTimeout()

Ecore::BusTimeout::~BusTimeout | ( |  | ) |

private

Definition at line 45 of file ecore-integration.cpp.

References _disable().

## Member Function Documentation

## ◆ _disable()

void Ecore::BusTimeout::_disable | ( |  | ) |

private

Definition at line 82 of file ecore-integration.cpp.

References _etimer, and DBus::debug_log.

Referenced by toggle(), and ~BusTimeout().

## ◆ _enable()

void Ecore::BusTimeout::_enable | ( |  | ) |

private

Definition at line 75 of file ecore-integration.cpp.

References _etimer, DBus::debug_log, DBus::Timeout::interval(), and timeout_handler().

Referenced by BusTimeout(), and toggle().

## ◆ timeout_handler()

Eina_Bool Ecore::BusTimeout::timeout_handler | ( | void * | data | ) |

static private

Definition at line 64 of file ecore-integration.cpp.

References DBus::debug_log, and DBus::Timeout::handle().

Referenced by _enable().

## ◆ toggle()

void Ecore::BusTimeout::toggle | ( |  | ) |

private virtual

Implements DBus::Timeout.

Definition at line 50 of file ecore-integration.cpp.

References _disable(), _enable(), DBus::debug_log, and DBus::Timeout::enabled().

## Friends And Related Symbol Documentation

## ◆ BusDispatcher

friend class BusDispatcher

friend

Definition at line 61 of file ecore-integration.h.

References BusDispatcher.

Referenced by BusDispatcher.

## Member Data Documentation

## ◆ _etimer

Ecore_Timer* DBus::Ecore::BusTimeout::_etimer

private

Definition at line 59 of file ecore-integration.h.

Referenced by _disable(), and _enable().

The documentation for this class was generated from the following files:

- ecore-integration.h
- ecore-integration.cpp